<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:56 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Adv1Player (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Adv1Player (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Adv1Player.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../towerwarspp/player/Adv2Player.html" title="class in towerwarspp.player"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/player/Adv1Player.html" target="_top">Frames</a></li>
<li><a href="Adv1Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.towerwarspp.player.BasePlayer">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.player</div>
<h2 title="Class Adv1Player" class="title">Class Adv1Player</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player">towerwarspp.player.BasePlayer</a></li>
<li>
<ul class="inheritance">
<li>towerwarspp.player.Adv1Player</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.rmi.Remote, <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Adv1Player</span>
extends <a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player">BasePlayer</a></pre>
<div class="block">Class implementing a simple Computer opponent that uses the moves returned by <a href="../../towerwarspp/player/PlayStrategy.html#HEAVY"><code>PlayStrategy.HEAVY</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>14-07-17</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robin Hundt</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.towerwarspp.player.BasePlayer">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;towerwarspp.player.<a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player">BasePlayer</a></h3>
<code><a href="../../towerwarspp/player/BasePlayer.html#board">board</a>, <a href="../../towerwarspp/player/BasePlayer.html#color">color</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/player/Adv1Player.html#Adv1Player--">Adv1Player</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>(package private) <a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/Adv1Player.html#deliverMove--">deliverMove</a></span>()</code>
<div class="block">Chooses the <a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a> returned by <a href="../../towerwarspp/player/PlayStrategy.html#HEAVY"><code>PlayStrategy.HEAVY</code></a> to play.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.towerwarspp.player.BasePlayer">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;towerwarspp.player.<a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player">BasePlayer</a></h3>
<code><a href="../../towerwarspp/player/BasePlayer.html#confirm-towerwarspp.preset.Status-">confirm</a>, <a href="../../towerwarspp/player/BasePlayer.html#getColor--">getColor</a>, <a href="../../towerwarspp/player/BasePlayer.html#getViewer--">getViewer</a>, <a href="../../towerwarspp/player/BasePlayer.html#init-int-towerwarspp.preset.PlayerColor-">init</a>, <a href="../../towerwarspp/player/BasePlayer.html#request--">request</a>, <a href="../../towerwarspp/player/BasePlayer.html#setBoard-towerwarspp.board.Board-">setBoard</a>, <a href="../../towerwarspp/player/BasePlayer.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-">update</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Adv1Player--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Adv1Player</h4>
<pre>public&nbsp;Adv1Player()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="deliverMove--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>deliverMove</h4>
<pre><a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;deliverMove()</pre>
<div class="block">Chooses the <a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a> returned by <a href="../../towerwarspp/player/PlayStrategy.html#HEAVY"><code>PlayStrategy.HEAVY</code></a> to play.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/player/BasePlayer.html#deliverMove--">deliverMove</a></code>&nbsp;in class&nbsp;<code><a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player">BasePlayer</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>move returned by <a href="../../towerwarspp/player/PlayStrategy.html#HEAVY"><code>PlayStrategy.HEAVY</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Adv1Player.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../towerwarspp/player/Adv2Player.html" title="class in towerwarspp.player"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/player/Adv1Player.html" target="_top">Frames</a></li>
<li><a href="Adv1Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.towerwarspp.player.BasePlayer">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
